Bug 842038 - find-requires.ksyms in RHEL 6.3 searches for kabi-whitelists in wrong path
find-requires.ksyms in RHEL 6.3 searches for kabi-whitelists in wrong path
Status: CLOSED DUPLICATE of bug 842761
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: redhat-rpm-config (Show other bugs)
6.3
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Weiping Pan
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 01:58 EDT by Akemi Yagi
Modified: 2015-01-04 16:55 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 04:17:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CentOS 5853 None None None 2012-07-21 01:58:30 EDT

  None (edit)
Description Akemi Yagi 2012-07-21 01:58:30 EDT
Description of problem:
find-requires.ksyms in RHEL-6.3 (from redhat-rpm-config-9.0.3-39.el6) searches for kabi-whitelists into /lib/modules/kabi/ . However, as of 6.3 (kabi-whitelists-20120516-1.el6) they are in /lib/modules/kabi-current/ . As a result, the script issues a warning stating "kernel ABI reference files were not found".

Version-Release number of selected component (if applicable):
redhat-rpm-config-9.0.3-39.el6
kabi-whitelists-20120516-1.el6

How reproducible:
Always (RHEL6.3)

Steps to Reproduce:
1. Update to redhat-rpm-config-9.0.3-39.el6
2. Update to kabi-whitelists-20120516-1.el6
3. Build kernel modules
  
Actual results:
The following warning is produced:

********************************************************************************
*********************** KERNEL ABI COMPATIBILITY WARNING ***********************
********************************************************************************
The kernel ABI reference files (provided by kabi-whitelists) were not found.    
No compatibility check was performed. Please install the kABI reference files   
and rebuild if you would like to verify compatibility with kernel ABI.

Expected results:
kabi-whitelists are found and no warning is issued.

Additional info:

A workaround is to create a symlink from /lib/modules/kabi-current to /lib/modules/kabi . 

Another way to fix is to correct the path in find-requires.ksyms :

--- find-requires.ksyms.dist    2012-03-05 23:27:45.000000000 -0800
+++ find-requires.ksyms 2012-07-20 08:02:27.991459268 -0700
@@ -45,7 +45,7 @@

 check_kabi() {
     arch=$(uname -m)
-    kabi_file="/lib/modules/kabi/kabi_whitelist_$arch"
+    kabi_file="/lib/modules/kabi-current/kabi_whitelist_$arch"

     # If not installed, output a warning and return (continue)
     if [ ! -f "$kabi_file" ]; then

[Note, however, it will fail with older kabi-whitelists]
Comment 2 Gianluca Cecchi 2012-07-25 15:26:11 EDT
The workaround about the symbolic link works for me too, trying to build openvswitch 1.6.1 kernel module on rh el 6.3.
Please put a solution in redhat-rpm-config, so that who builds on rh el 6.3 gets a correct lists of kernel symbols not guaranteed to remain compatible with future updates.
Thanks in advance.

Gianluca
Comment 3 RHEL Product and Program Management 2012-12-14 03:32:05 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Akemi Yagi 2013-03-16 12:33:29 EDT
If Jon Masters is no longer in charge of redhat-rpm-config, who is the current maintainer? This bug is easy to fix and the issue is clearly addressed here.
Comment 5 yuanpu@139.com 2013-03-19 04:37:36 EDT
i encountered this issue,so this is a long history problem.
Comment 6 Akemi Yagi 2013-03-19 10:47:31 EDT
Jon, can you help get this going?
Comment 8 Akemi Yagi 2013-08-15 15:55:48 EDT
Now that /lib/modules/kabi-current is symlinked to ./kabi-rhel6X/ , the proposed patch for find-requires.ksyms seems to be the only viable workaround. Any plan to fix the issue?
Comment 9 Weiping Pan 2013-08-15 22:08:49 EDT
Yes, we are talking with Panu to see who can review the DUP related patches and merge them.
Comment 11 Weiping Pan 2013-08-22 04:17:56 EDT

*** This bug has been marked as a duplicate of bug 842761 ***
Comment 12 Alan Bartlett 2013-08-22 09:36:58 EDT
You have closed this bug as a duplicate of #842761, yet when I try to view the latter I am denied access --

[quote]
You are not authorized to access bug #842761.
[/quote]

Please add the reporter and all persons on the CC list of this bug (#842038) to that of #842761.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.